package com.yc.wms.controller;

import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import com.yc.wms.bean.Kucunhuizong;
import com.yc.wms.bean.Zhengliqingdan;
import com.yc.wms.until.QueryPageUtil;
import com.yc.wms.until.Result;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@RestController
@Slf4j
@RequestMapping("/Kucunhuizong")
public class KucunhuizongController {
    @Autowired
    private com.yc.wms.service.Kucunhuizong kucunhuizong;

    @PostMapping("/queryAll")
    public Result queryUser(@RequestBody String  json) {

        QueryPageUtil query =new QueryPageUtil();
        JSONObject jsonObject= JSONUtil.parseObj(json);
        query.setPageSize((int)jsonObject.get("pageSize"));
        query.setPageNum((int)jsonObject.get("pageNum"));

        JSONObject param= (JSONObject)jsonObject.get("param");

        Kucunhuizong k = JSONUtil.toBean(param.toString(), Kucunhuizong.class);

        return kucunhuizong.QueryJson(query,k);
    }


    @PostMapping("/zt")
    public Result zt() {
        return kucunhuizong.zt();
    }

    @PostMapping("/ku")
    public Result ku() {
        return kucunhuizong.ku();
    }
}
